import type { SvelteuiColor, SvelteuiNumberSize } from '../../styles/types';
export declare type ActionIconVariant = 'hover' | 'filled' | 'outline' | 'light' | 'default' | 'transparent';
export interface ActionIconStylesParams {
    color: SvelteuiColor;
    size: SvelteuiNumberSize;
    radius: SvelteuiNumberSize;
}
export declare const sizes: {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
export declare function getVariantStyles(color: SvelteuiColor, variant: ActionIconVariant): {
    filled: {
        [x: string]: string | {
            backgroundColor: string;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    light: {
        [x: string]: string | {
            backgroundColor: string;
            color: string;
            '&:hover': {
                backgroundColor: string;
            };
        } | {
            backgroundColor: string;
            color?: undefined;
            '&:hover'?: undefined;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    outline: {
        [x: string]: string | {
            border: string;
            color: string;
            '&:hover': {
                backgroundColor: string;
            };
            backgroundColor?: undefined;
        } | {
            backgroundColor: string;
            border?: undefined;
            color?: undefined;
            '&:hover'?: undefined;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    subtle: {
        [x: string]: string | {
            color: string;
            '&:hover': {
                backgroundColor: string;
            };
            backgroundColor?: undefined;
        } | {
            backgroundColor: string;
            color?: undefined;
            '&:hover'?: undefined;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    default: {
        [x: string]: string | {
            border: string;
            backgroundColor: string;
            color: string;
            '&:hover': {
                backgroundColor: string;
            };
        } | {
            backgroundColor: string;
            border?: undefined;
            color?: undefined;
            '&:hover'?: undefined;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    white: {
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    gradient: {
        border: string;
        background: string;
        color: string;
    };
} | {
    [x: string]: {
        [x: string]: string | {
            color: string;
            '&:hover': {
                backgroundColor: string;
            };
            backgroundColor?: undefined;
        } | {
            backgroundColor: string;
            color?: undefined;
            '&:hover'?: undefined;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
};
