import { vFunc, dark } from '../../styles';
export const sizes = {
    xs: 18,
    sm: 22,
    md: 28,
    lg: 34,
    xl: 44
};
export function getVariantStyles(color, variant) {
    const ctx = { from: 'indigo', to: 'cyan', deg: 45 };
    if (variant === 'hover' || variant === 'transparent') {
        return {
            [`${variant}`]: {
                [`${dark.selector} &`]: {
                    color: `$${color}800`,
                    '&:hover': { backgroundColor: variant === 'transparent' ? null : `$dark800` }
                },
                border: '1px solid transparent',
                backgroundColor: 'transparent',
                color: `$${color}700`,
                '&:hover': { backgroundColor: variant === 'transparent' ? null : `$${color}50` }
            }
        };
    }
    return vFunc(color, ctx);
}
