import { SvelteComponentTyped } from "svelte";
import type { LoaderProps } from '../Loader/Loader.styles';
import type { ActionIconVariant } from './ActionIcon.styles';
import type { HTMLTextElements } from '../Text/Text.styles';
import type { SvelteuiColor, SvelteuiNumberSize, Override } from '../../styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        override?: Override['props'];
        root?: HTMLTextElements;
        color?: SvelteuiColor;
        variant?: ActionIconVariant;
        size?: SvelteuiNumberSize;
        radius?: SvelteuiNumberSize | number;
        loaderProps?: LoaderProps;
        loading?: boolean;
        disabled?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type ActionIconProps = typeof __propDef.props;
export declare type ActionIconEvents = typeof __propDef.events;
export declare type ActionIconSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * Icon button to indicate secondary action.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/action-icon
 * @example
 * ```tsx
 * <ActionIcon>Click</ActionIcon> // standard ActionIcon
 * <ActionIcon color="red" /> // red ActionIcon
 * <ActionIcon variant="default"><Discord></ActionIcon> // default variant with an icon
 * ```
 */
export default class ActionIcon extends SvelteComponentTyped<ActionIconProps, ActionIconEvents, ActionIconSlots> {
}
export {};
