import { SvelteComponentTyped } from "svelte";
import type { SvelteuiColor, Override } from '../../styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        class?: string;
        override?: Override['props'];
        color?: SvelteuiColor;
        block?: boolean;
        width?: number;
        copy?: boolean;
        message?: string;
        noMono?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type CodeProps = typeof __propDef.props;
export declare type CodeEvents = typeof __propDef.events;
export declare type CodeSlots = typeof __propDef.slots;
/**
 * Inline or block code without syntax highlighting
 *
 * @see https://svelteui-docs.vercel.app/docs/core/code
 * @example
 *    ```tsx
 *    <Code color='green' size='lg' variant='bars' /> // standard code component
 *    <Code color='blue' block copy message={codeToCopy} /> // code with block and copy props
 *    ```
 */
export default class Code extends SvelteComponentTyped<CodeProps, CodeEvents, CodeSlots> {
}
export {};
