import { SvelteComponentTyped } from "svelte";
import type { Override, SvelteuiNumberSize } from '../../styles';
declare const __propDef: {
    props: {
        /** Override prop for custom theming the component's placeholder */ override?: Override['props'];
        /** Override prop for custom theming the component's placeholder */ overridePlaceholder?: Override['props'];
        /** Predefined switch radius size */ radius?: SvelteuiNumberSize;
        class?: string;
        /** The image src to be used */ src?: string;
        /** The image alt text, used as placeholder if the image is not loaded */ alt?: string;
        /** The object-fit option to be used by the image, defaults to 'cover' */ fit?: 'cover' | undefined;
        /** The width of the image that defaults to 100% */ width?: string | number;
        /** The height of the image that defaults to the original image height adjusted to the width */ height?: string | number;
        /** The caption of the image, will show below it if defined */ caption?: string;
        /** Defaults to a placeholder if the image has not yet loaded or an error occured */ usePlaceholder?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        placeholder: {};
    };
};
export declare type ImageProps = typeof __propDef.props;
export declare type ImageEvents = typeof __propDef.events;
export declare type ImageSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * Dynamic Image component with optional placeholder for loading and error state
 *
 * @see https://svelteui-docs.vercel.app/docs/core/image
 * @example
 * ```tsx
 * <Image src="https://images.unsplash.com/photo-1561046259-7d5b6e929ba0"/> // standard image
 * <Image src="https://images.unsplash.com/photo-1561046259-7d5b6e929ba0" alt="Doggo" width={100} caption="Very cool doggo" /> // standard image with width and caption
 * <Image src="" alt="Doggo" usePlaceholder /> // standard image that shows placeholder when it fails to load
 * ```
 */
export default class Image extends SvelteComponentTyped<ImageProps, ImageEvents, ImageSlots> {
}
export {};
