import type { SvelteuiNumberSize, SvelteuiColor, LoaderType } from '../../styles';
export declare const LOADER_SIZES: {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
export interface LoaderPropsExtended extends Partial<SVGElement> {
    /** Defines width of loader */
    size?: SvelteuiNumberSize;
    /** Loader color from theme */
    color?: SvelteuiColor | 'white';
    /** Loader appearance */
    variant?: LoaderType;
}
export interface LoaderProps {
    variant: LoaderPropsExtended['variant'];
    color: LoaderPropsExtended['color'];
    size: LoaderPropsExtended['size'];
}
export declare const getCorrectShade: (color: SvelteuiColor | string, dark?: boolean) => string;
