import { SvelteComponentTyped } from "svelte";
import type { SwitchTimingFunction } from './Switch.styles';
import type { Override, SvelteuiColor, SvelteuiNumberSize } from '../../styles';
declare const __propDef: {
    props: {
        /** Override prop for custom theming the component */ override?: Override['props'];
        /** Override prop for custom theming the component */ overrideLabel?: Override['props'];
        /** Switch color from theme */ color?: SvelteuiColor;
        /** Predefined switch size */ size?: SvelteuiNumberSize;
        /** Predefined switch radius size */ radius?: SvelteuiNumberSize;
        /** Predefined transition function for the switch animation */ transitionFunction?: SwitchTimingFunction;
        class?: string;
        /** The id used to bind input to label, if none is provided an unique ID will be generated */ id?: string;
        /** The label to be added outside the switch, by default has none */ label?: string;
        /** The label to be added inside the switch, when the switch is checked, by default has none */ onLabel?: string;
        /** The label to be added inside the switch, when the switch is unchecked, by default has none */ offLabel?: string;
        /** Will set the switch to disabled state */ disabled?: boolean;
        /** The value used to set the value of switch as checked or unchecked */ checked?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type SwitchProps = typeof __propDef.props;
export declare type SwitchEvents = typeof __propDef.events;
export declare type SwitchSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * A user can use this component to enable/disable something, normally used for boolean values or for binary actions.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/switch
 * @example
 * ```tsx
 * <Switch/> // standard switch
 * <Switch label="Lights" onLabel="ON" offLabel="OFF"/> // switch with labels
 * ```
 */
export default class Switch extends SvelteComponentTyped<SwitchProps, SwitchEvents, SwitchSlots> {
}
export {};
