import { SvelteComponentTyped } from "svelte";
import type { SvelteuiGradient, SvelteuiNumberSize, Override, SvelteuiNumberFontSize, SvelteuiTextAlignment, SvelteuiTextTransform } from '../../styles';
import type { TextVariant, TextColors, HTMLTextElements } from './Text.styles';
declare const __propDef: {
    props: {
        [x: string]: any;
        class?: string;
        override?: Override['props'];
        align?: SvelteuiTextAlignment;
        color?: TextColors;
        root?: HTMLTextElements;
        transform?: SvelteuiTextTransform;
        variant?: TextVariant;
        size?: SvelteuiNumberSize;
        weight?: SvelteuiNumberFontSize;
        gradient?: SvelteuiGradient;
        inline?: boolean;
        lineClamp?: number;
        underline?: boolean;
        inherit?: boolean;
        href?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type TextProps = typeof __propDef.props;
export declare type TextEvents = typeof __propDef.events;
export declare type TextSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * Display text and links with theme styles.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/text
 * @example
 *    ```tsx
 *    <Text size='lg'>This is a text</Text> // standard text component
 *    <Text size='lg' variant='gradient' gradient={{from: 'blue', to: 'red', deg: 45}}>This is a text with colours</Text> // text with gradient colors
 *    <Text component={'span'}>Span text</Text> // text being used with a 'span' as wrapper
 *    <Text component={Code}>Code text</Text> // text being used with the component Code as wrapper
 *    ```
 */
export default class Text extends SvelteComponentTyped<TextProps, TextEvents, TextSlots> {
}
export {};
