import { SvelteComponentTyped } from "svelte";
import type { TitleOrder } from './Title.styles';
import type { TextVariant, TextColors } from '../Text/Text.styles';
import type { SvelteuiGradient, Override, SvelteuiNumberFontSize, SvelteuiTextAlignment, SvelteuiTextTransform } from '../../styles';
declare const __propDef: {
    props: {
        class?: string;
        /** Override prop for custom theming the component */ override?: Override['props'];
        /** The alignment to be applied to the text */ align?: SvelteuiTextAlignment;
        /** Defines the style and compoennt to be used */ order?: TitleOrder;
        /** Code color for the text from the default theme */ color?: TextColors;
        /** Sets the text-transform CSS property of the text*/ transform?: SvelteuiTextTransform;
        /** The variant of the text that dictates how the text behaves and/or looks like */ variant?: TextVariant;
        /** The size of the text from the default theme */ weight?: SvelteuiNumberFontSize;
        /** Controls gradient settings in gradient variant only */ gradient?: SvelteuiGradient;
        /** If enabled sets the line-height to 1 to center the text */ inline?: boolean;
        /** Sets the maximum lines of text using CSS -webkit-line-clamp property */ lineClamp?: number;
        /** Underlines the text */ underline?: boolean;
        /** If it should inherit font properties from the parent component */ inherit?: boolean;
        /** Applies an href to the button component and converts it to an anchor tag */ href?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type TitleProps = typeof __propDef.props;
export declare type TitleEvents = typeof __propDef.events;
export declare type TitleSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * Display text that uses title styling and title HTML tags.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/title
 * @example
 *    ```tsx
 *    <Title>This is a title</Title> // standard title component
 *    <Title order={3}>This is a title</Title> // title component with order 2
 *    <Title order={1} override={{ fontSize: '90px' }}>This is a bigger title</Title> // title component with override style
 *    ```
 */
export default class Title extends SvelteComponentTyped<TitleProps, TitleEvents, TitleSlots> {
}
export {};
