import type { SvelteuiColor, SvelteuiGradient } from '../../types';
export declare const vFunc: (color: SvelteuiColor, gradient: SvelteuiGradient) => {
    /** Filled variant */
    filled: {
        [x: string]: string | {
            backgroundColor: string;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    /** Light variant */
    light: {
        [x: string]: string | {
            backgroundColor: string;
            color: string;
            '&:hover': {
                backgroundColor: string;
            };
        } | {
            backgroundColor: string;
            color?: undefined;
            '&:hover'?: undefined;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    /** Outline variant */
    outline: {
        [x: string]: string | {
            border: string;
            color: string;
            '&:hover': {
                backgroundColor: string;
            };
            backgroundColor?: undefined;
        } | {
            backgroundColor: string;
            border?: undefined;
            color?: undefined;
            '&:hover'?: undefined;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    /** Subtle variant */
    subtle: {
        [x: string]: string | {
            color: string;
            '&:hover': {
                backgroundColor: string;
            };
            backgroundColor?: undefined;
        } | {
            backgroundColor: string;
            color?: undefined;
            '&:hover'?: undefined;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    /** Default variant */
    default: {
        [x: string]: string | {
            border: string;
            backgroundColor: string;
            color: string;
            '&:hover': {
                backgroundColor: string;
            };
        } | {
            backgroundColor: string;
            border?: undefined;
            color?: undefined;
            '&:hover'?: undefined;
        };
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    /** White variant */
    white: {
        border: string;
        backgroundColor: string;
        color: string;
        '&:hover': {
            backgroundColor: string;
        };
    };
    /** Gradient variant */
    gradient: {
        border: string;
        background: string;
        color: string;
    };
};
